Bug 212240 - www/privoxy: Update to 3.0.26
Summary: www/privoxy: Update to 3.0.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-29 14:23 UTC by Fabian Keil
Modified: 2016-08-31 12:09 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
www/privoxy: Update to 3.0.26 stable (4.93 KB, patch)
2016-08-29 14:23 UTC, Fabian Keil
fk: maintainer-approval+
Details | Diff
www/privoxy: Update to 3.0.26 stable (fixed plist) (5.43 KB, text/sgml)
2016-08-30 14:40 UTC, Fabian Keil
fk: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2016-08-29 14:23:09 UTC
Created attachment 174185 [details]
www/privoxy: Update to 3.0.26 stable

- Use official website as primary master site.
- Add option to increase the number of connections
  Privoxy can serve at the same time.
- Quote variables in the rc script more consistently.

The upstream changes are documented at:
https://www.privoxy.org/3.0.26/user-manual/whatsnew.html
Comment 1 Pawel Pekala freebsd_committer 2016-08-30 14:08:28 UTC
There is plist issue:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%ETCDIR%%/templates/client-tags
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 2 Fabian Keil 2016-08-30 14:40:10 UTC
Created attachment 174215 [details]
www/privoxy: Update to 3.0.26 stable (fixed plist)

Sorry, my mistake.

I tested with "poudriere bulk ..." but apparently did not yet
configure this poudriere system to always run check-plist.

I was able to reproduce the issue with "poudriere testport ..."
and unsurprisingly adding the file to the plist fixes the issue.
Comment 3 Dmitry Marakasov freebsd_committer 2016-08-30 20:16:28 UTC
Can't prestart actions from rc.d file be replaced with plist practices?

E.g. @sample, @owner/@group, @dir etc.
Comment 4 Fabian Keil 2016-08-31 10:17:27 UTC
In case of config and match-all.action that's probably the case.

Thanks for the suggestion, I'll look into this for the next update.
Comment 5 Dmitry Marakasov freebsd_committer 2016-08-31 12:08:28 UTC
Thank you!
Comment 6 commit-hook freebsd_committer 2016-08-31 12:09:01 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Aug 31 12:08:22 UTC 2016
New revision: 421155
URL: https://svnweb.freebsd.org/changeset/ports/421155

Log:
  - Update to 3.0.26
  - Use official website as primary master site.
  - Add option to increase the number of connections Privoxy can serve at the same time
  - Quote variables in the rc script more consistently.

  The upstream changes are documented at:
  https://www.privoxy.org/3.0.26/user-manual/whatsnew.html

  PR:		212240
  Submitted by:	fk@fabiankeil.de (maintainer)

Changes:
  head/www/privoxy/Makefile
  head/www/privoxy/distinfo
  head/www/privoxy/files/privoxy.in
  head/www/privoxy/pkg-plist